Subject: Re: [PATCH v2] net: arcnet: com20020-pci: fix support for 2.5Mbit cards

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Feb 2026 18:45:53 -0800

On Mon,  9 Feb 2026 18:00:12 -0800 Ethan Nelson-Moore wrote:
> Commit 8c14f9c70327 ("ARCNET: add com20020 PCI IDs with metadata")
> converted the com20020-pci driver to use a card info structure instead
> of a single flag mask in driver_data. However, it failed to take into
> account that in the original code, driver_data of 0 indicates a card
> with no special flags, not a card that should not have any card info
> structure. This introduced a null pointer dereference when cards with
> no flags were probed.
> 
> Commit bd6f1fd5d33d ("net: arcnet: com20020: Fix null-ptr-deref in
> com20020pci_probe()") then papered over this issue by rejecting cards
> with no driver_data instead of resolving the problem at its source.
> 
> Revert the incorrect fix and fix the original issue by introducing a
> new card info structure for 2.5Mbit cards that does not set any flags.

Not sure this is enough, especially that you remove the null check.
IIUC user may add an ID via sysfs and that one will not have a driver
data. Why not catch the 0 driver data and assign card_info_2p5mbit as 
a default?
-- 
pw-bot: cr